%{?scl:%scl_package cfme-amazon-smartstate}
%{!?scl:%global pkg_name %{name}}

%global app_name amazon-smartstate
%global app_dir  /opt/rh/%{app_name}/

Summary: Amazon SmartState Client
Name: cfme-amazon-smartstate
Version: 5.9.4.7
Release: 1%{?dist}
License: Unknown
URL: https://github.com/ManageIQ/container-amazon-smartstate
Source0: %{name}-%{version}.tar.gz
Requires: %{?scl_prefix}ruby(release) >= 2.3.6
Requires: %{?scl_prefix}ruby(release) < 2.3.7
Requires: %{?scl_prefix}rubygem-bundler
BuildRequires: %{?scl_prefix}rubygems-devel

Requires: %{?scl_prefix}rubygem-ffi = 1.9.18
Requires: %{?scl_prefix}rubygem-json = 2.1.0
Requires: %{?scl_prefix}rubygem-linux_block_device = 0.2.1
Requires: %{?scl_prefix}rubygem-memory_buffer = 0.1.0
Requires: %{?scl_prefix}rubygem-nokogiri = 1.8.1
Requires: %{?scl_prefix}rubygem-unf_ext = 0.0.7.4

%description
Amazon SmartState Client

%prep
%setup -q

%install
%{__mkdir} -p %{buildroot}%{app_dir}
%{__cp} -r . %{buildroot}%{app_dir}

%files
%defattr(-,root,root,-)
%{app_dir}

%changelog
* Wed Aug 29 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.4.7-1
- 5.9.4.7-1 build

* Thu Aug 23 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.4.6-1
- 5.9.4.6-1 build

* Tue Aug 21 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.4.5-1
- 5.9.4.5-1 build

* Thu Aug 16 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.4.4-1
- 5.9.4.4-1 build

* Wed Aug 08 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.4.3-1
- 5.9.4.3-1 build

* Thu Aug 02 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.4.2-1
- 5.9.4.2-1 build

* Thu Jul 26 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.4.1-1
- 5.9.4.1-1 build

* Wed Jul 11 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.4.0-1
- 5.9.4.0-1 build

* Mon Jul 02 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.3.4-1
- 5.9.3.4-1 build

* Wed Jun 27 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.3.3-1
- 5.9.3.3-1 build

* Tue Jun 19 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.3.2-1
- 5.9.3.2-1 build

* Wed Jun 06 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.3.1-1
- 5.9.3.1-1 build

* Tue May 22 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.3.0-1
- 5.9.3.0-1 build

* Tue May 01 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.2.4-1
- 5.9.2.4-1 build

* Thu Apr 19 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.2.3-1
- 5.9.2.3-1 build

* Tue Apr 10 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.2.2-1
- 5.9.2.2-1 build

* Tue Apr 03 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.2.1-1
- 5.9.2.1-1 build

* Tue Mar 20 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.2.0-1
- 5.9.2.0-1 build

* Wed Mar 14 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.1.0-1
- 5.9.1.0-1 build

* Wed Feb 21 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.22-1
- 5.9.0.22-1 build

* Wed Feb 14 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.21-1
- 5.9.0.21-1 build

* Tue Feb 06 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.20-1
- 5.9.0.20-1 build

* Tue Jan 30 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.19-1
- 5.9.0.19-1 build

* Thu Jan 25 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.18-1
- 5.9.0.18-1 build

* Tue Jan 16 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.17-1
- 5.9.0.17-1 build

* Tue Jan 09 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.16-1
- 5.9.0.16-1 build

* Wed Jan 03 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.15-1
- 5.9.0.15-1 build

* Tue Dec 19 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.14-1
- 5.9.0.14-1 build

* Tue Dec 12 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.13-1
- 5.9.0.13-1 build

* Tue Dec 05 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.12-1
- 5.9.0.12-1 build

* Mon Nov 27 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.11-1
- 5.9.0.11-1 build

* Tue Nov 21 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.10-1
- 5.9.0.10-1 build

* Wed Nov 15 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.9-1
- 5.9.0.9-1 build

* Thu Nov 09 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.8-1
- 5.9.0.8-1 build

* Tue Nov 07 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.7-1
- 5.9.0.7-1 build

* Fri Nov 03 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.6-1
- 5.9.0.6-1 build

* Wed Nov 01 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.5-1
- Initial build
